Skip to navigation

Upsert Contextual Filters

Upserts contextual filters for a particular channel or category.

Usage Notes

Contextual filters allow you to configure the enabled filters per channel or category, so that shoppers can filter by the most relevant criteria.

You can change the order of the filters on the live site by changing the order of the filters you send.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
contextobjectOptional
datalist of objectsOptional

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.